package kr.ne.outsider.demo2;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.firefox.FirefoxDriver;
import org.openqa.selenium.support.ui.Wait;
import org.openqa.selenium.support.ui.WebDriverWait;
import org.testng.Assert;
import org.testng.annotations.AfterClass;
import org.testng.annotations.BeforeClass;
 
public class WebDriverTestBase {
 
	public static FirefoxDriver driver;
	public static Wait<WebDriver> wait;
 
	@BeforeClass(alwaysRun = true)
    protected void startWebDriver() {
    	driver = new FirefoxDriver();
    	wait = new WebDriverWait(driver, 120);
    }
 
    @AfterClass(alwaysRun = true)
    protected void closeSession() {
	    driver.close();
    }
 
    public static void assertEquals(Object actual, Object expected) {
    	Assert.assertEquals(actual, expected);
    }
 
}